Subject: Re: bug#54042: closed (Re: bug#60505: 29.0.60; Fido Mode and Tramp Completion)

From: Michael Albinus <[email-masked]>
Date: Sat, 18 Feb 2023 18:25:55 +0100

Michael Albinus <[email-masked]> writes:

Hi,

>> Somehow I am still getting a similar problem remaining. Why in fido
>> mode?:
>>
>> C-x C-f /ssh:
>>
>> does not offer a completion list with the hosts or user names or
>> anything?
>
> Don't know.
>
>> Actually:
>>
>> C-x C-f /ssh:<RET>
>>
>> In opens dired in the home of a random server from my config but I don't
>> know how it is selected. What I am missing here?
>
> I don't know whether we shall discuss it here in this bug report (and
> friends). Perhaps it is worth a new bug report, because it is about
> behavior of <RET>, and not od <TAB>. And we definitely need somebody who
> knows fido internals.

Well, I've pushed a change to master which should improve the
situation. Could you, pls, check?

>> Best,
>> Ergus

Best regards, Michael.